#include "cmlib_private_config.hpp"
#include "test_window.hpp"

#include <myx/qt/translators.hpp>

#include <QApplication>
#include <QIcon>
#include <QDebug>

namespace MQ = myx::qt;

int main( int argc, char** argv )
{
	QApplication app( argc, argv );
	MQ::QTranslatorsList tl;

	qDebug() << QObject::tr( "No" );
	MQ::append_translators( tl, QStringLiteral( CMLIB_PROJECT_NAME ) );
	qDebug() << QObject::tr( "Yes" );

	QApplication::setWindowIcon( QIcon( ":/icon/icon.png" ) );
	auto* w = new TestWindow();
	w->show();
	return( QApplication::exec() );
}
